###

#

static_min, static_max
ColorBase » Algorithms and Utility Functions

Equivalents to std::min_element and std::max_element for homogeneous color bases. More...

## Functions

template<typename P >
BOOST_FORCEINLINE element_const_reference_type< P >::type | static_max (const P &p)
template<typename P >
BOOST_FORCEINLINE element_reference_type< P >::type | static_max (P &p)
template<typename P >
BOOST_FORCEINLINE element_const_reference_type< P >::type | static_min (const P &p)
template<typename P >
BOOST_FORCEINLINE element_reference_type< P >::type | static_min (P &p)

## Detailed Description

Equivalents to std::min_element and std::max_element for homogeneous color bases.

Example:

rgb8_pixel_t pixel(10,20,30);
assert(pixel[2] == 30);
static_max(pixel) = static_min(pixel);
assert(pixel[2] == 10);